# TRenderableFlags Class Reference
[Data Structures]

Inheritance diagram for TRenderableFlags:

List of all members.

## Public Types
enum | { kStaticMask = ( 1 << 0 ), kSelectedMask = ( 1 << 1 ), kBackfacedMask = ( 1 << 2 ), kDropShadowedMask = ( 1 << 3 ), kInterfaceShapeMask = ( 1 << 4 ), kBlendedMask = ( 1 << 5 ), kOrientClockwiseMask = ( 1 << 6 ), kBoxOnly = ( 1 << 9 ), kNoDepthBuffering = ( 1 << 10 ), kSkipPick = ( 1 << 11 ), kSkipDraw = ( 1 << 12 ), kForceWire = ( 1 << 13 ), kForceTexturing = ( 1 << 14 ), kForceFlat = ( 1 << 15 ), kUpdateTexture = ( 1 << 16 ), kForceBumpMap = ( 1 << 17 ), kForceSpecularMap = ( 1 << 18 ), kUseScreenCoordsMask = ( 1 << 29 ), kUseScreenColorsMask = ( 1 << 30 ), kHiliteUVSpace = ( 1 << 31 ), kMaxMask = 0x7fffffff }
## Public Member Functions
| TRenderableFlags ()
boolean | IsStatic () const
boolean | IsSelected () const
boolean | IsInterfaceShape () const
boolean | IsBoxOnly () const
boolean | IsDrawn () const
boolean | IsPickable () const
boolean | IsDepthBuffered () const
boolean | IsDropShadowed () const
boolean | IsBackfaced () const
boolean | IsOrientedClockwise () const
boolean | IsBlended () const
boolean | IsUpdateTexture () const
boolean | IsHiliteUVSpace () const
## Public Attributes
int32 | fUVSpace

## Detailed Description

These are various flags to communicate object state to the renderer.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  kStaticMask | moving or not
  kSelectedMask | selected (for instances ?)
  kBackfacedMask | backfaces removed
  kDropShadowedMask | drop shadowed
  kInterfaceShapeMask | a shape may be purely for interface
  kBlendedMask | apply faux blended transparency, not a surface property
  kOrientClockwiseMask | clockwise = 1, counter = 0
  kBoxOnly | render mesh only as bbox
  kNoDepthBuffering | transform the pts, but don't depth buffer
  kSkipPick | skipped for picking
  kSkipDraw | skipped for rendering
  kForceWire |
  kForceTexturing |
  kForceFlat |
  kUpdateTexture |
  kForceBumpMap |
  kForceSpecularMap |
  kUseScreenCoordsMask |
  kUseScreenColorsMask |
  kHiliteUVSpace |
  kMaxMask |

## Constructor & Destructor Documentation

TRenderableFlags::TRenderableFlags | ( |  | ) | `[inline]`

## Member Function Documentation

boolean TRenderableFlags::IsBackfaced | ( |  | ) | const`[inline]`

boolean TRenderableFlags::IsBlended | ( |  | ) | const`[inline]`

boolean TRenderableFlags::IsBoxOnly | ( |  | ) | const`[inline]`

boolean TRenderableFlags::IsDepthBuffered | ( |  | ) | const`[inline]`

boolean TRenderableFlags::IsDrawn | ( |  | ) | const`[inline]`

boolean TRenderableFlags::IsDropShadowed | ( |  | ) | const`[inline]`

boolean TRenderableFlags::IsHiliteUVSpace | ( |  | ) | const`[inline]`

boolean TRenderableFlags::IsInterfaceShape | ( |  | ) | const`[inline]`

boolean TRenderableFlags::IsOrientedClockwise | ( |  | ) | const`[inline]`

boolean TRenderableFlags::IsPickable | ( |  | ) | const`[inline]`

boolean TRenderableFlags::IsSelected | ( |  | ) | const`[inline]`

boolean TRenderableFlags::IsStatic | ( |  | ) | const`[inline]`

boolean TRenderableFlags::IsUpdateTexture | ( |  | ) | const`[inline]`

## Member Data Documentation

int32 TRenderableFlags::fUVSpace

The documentation for this class was generated from the following file:

- I3DShRenderable.h